Package com.pixelmed.convert

# Class NRRDToDicom

java.lang.Object
com.pixelmed.convert.NRRDToDicom

public class NRRDToDicom extends Object

A class for converting NRRD image input format files into images of a specified or appropriate SOP Class.

## Constructor Summary

Constructors
Constructor
Description
`NRRDToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber)`
Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.
`NRRDToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass)`
Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

## Method Summary

Modifier and Type
Method
Description
`static AttributeList`
`generateDICOMPixelDataModuleAttributesFromNRRDFile(File inputFile, NRRDHeader nrrd, AttributeList list)`
Using an NRRD image input file and header, create DICOM Pixel Data Module attributes.
`static AttributeList`
`generateDimensions(AttributeList list)`
Create a Dimensions Module.
`static AttributeList`
`generateGeometryFunctionalGroupsFromNRRDHeader(NRRDHeader nrrd, AttributeList list)`
Read a per-frame and shared functional group sequences for the geometry defined in a NRRD file header.
`static void`
`main(String[] arg)`
Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NRRDToDicom

public NRRDToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber) throws IOException, DicomException, NRRDException

Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
Throws:
  `IOException`
  `DicomException`
  `NRRDException`

### NRRDToDicom

public NRRDToDicom(String inputFileName, String outputFileName, String patientName, String patientID, String studyID, String seriesNumber, String instanceNumber, String modality, String sopClass) throws IOException, DicomException, NRRDException, NumberFormatException

Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `inputFileName` -
  `outputFileName` -
  `patientName` -
  `patientID` -
  `studyID` -
  `seriesNumber` -
  `instanceNumber` -
  `modality` - may be null
  `sopClass` - may be null
Throws:
  `IOException`
  `DicomException`
  `NRRDException`
  `NumberFormatException`

## Method Details

### generateGeometryFunctionalGroupsFromNRRDHeader

public static AttributeList generateGeometryFunctionalGroupsFromNRRDHeader(NRRDHeader nrrd, AttributeList list) throws DicomException, NRRDException, NumberFormatException

Read a per-frame and shared functional group sequences for the geometry defined in a NRRD file header.

Parameters:
  `nrrd` - an NRRD header
  `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already shared and per-frame functional group sequences or they will be added return attribute list with per-frame and shared functional group sequences for geometry added
Throws:
  `DicomException`
  `NRRDException`
  `NumberFormatException`

### generateDimensions

public static AttributeList generateDimensions(AttributeList list) throws DicomException

Create a Dimensions Module.

Parameters:
  `list` - return attribute list with Dimensions Module added
Throws:
  `DicomException`

### generateDICOMPixelDataModuleAttributesFromNRRDFile

public static AttributeList generateDICOMPixelDataModuleAttributesFromNRRDFile(File inputFile, NRRDHeader nrrd, AttributeList list) throws IOException, DicomException, NRRDException, NumberFormatException

Using an NRRD image input file and header, create DICOM Pixel Data Module attributes.

Parameters:
  `inputFile` - an NRRD format image file
  `nrrd` - an NRRD header already read from the inputFile
  `list` - an existing (possibly empty) attribute list, if null, a new one will be created; may already include "better" image pixel module attributes to use return attribute list with Image Pixel Module (including Pixel Data) and other attributes added
Throws:
  `IOException`
  `DicomException`
  `NRRDException`
  `NumberFormatException`

### main

public static void main(String[] arg)

Read an NRRD image input format files and create an image of a specified or appropriate SOP Class.

Parameters:
  `arg` - seven, eight or nine parameters, the inputFile, outputFile, patientName, patientID, studyID, seriesNumber, instanceNumber, and optionally the modality, and SOP Class